[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: USB on Ultra 10

Hi Vincent,

"VV" == Vincent Vandeweijer writes:

 VV> I don't know if it's of any help. A while ago I emailed this to
 VV> somebody who posted it on the list. May sound silly but I just
 VV> don't know how to post...  if I send a mail to
 VV> debian-sparc@lists.debian.org it never shows up in the
 VV> list... must be some silly thing I don't know about :(

your posts are perfectly visible in the newsgroup...

thanks for your suggestions, they are very helpful.

i didn't finish with switching to 2.6 kernel yet. i first upgraded to
sid (was running sarge); then i faced with a nasty problem with 
"Xorg + sparc + type5 keyboard + kernel 2.4"
(you may have faced it too - it is discussed in e.g. http://blog.drinky.org.uk/?p=43)

i left from the office today with this unsolved yet - but hope to
solve it tomorrow based on suggestions there.

one of solutions is to use 2.6 kernel, but i've got a problem
installing the kernel package:

# apt-get install linux-image-2.6-sparc64
Reading package lists... Done
Building dependency tree... Done
The following extra packages will be installed:
Suggested packages:
  linux-doc-2.6.14 linux-source-2.6.14
The following NEW packages will be installed:
  linux-image-2.6-sparc64 linux-image-2.6.14-2-sparc64
0 upgraded, 2 newly installed, 0 to remove and 1 not upgraded.
Need to get 0B/9218kB of archives.
After unpacking 29.5MB of additional disk space will be used.
Do you want to continue [Y/n]?
Preconfiguring packages ...
(Reading database ... 103486 files and directories currently installed.)
Unpacking linux-image-2.6.14-2-sparc64 (from .../linux-image-2.6.14-2-sparc64_2.6.14-5_sparc.deb) ...
Could not find mkinitrd.yaird mkinitramfs. at /var/lib/dpkg/tmp.ci/preinst line 236, <STDIN> line 9.
Selecting previously deselected package linux-image-2.6-sparc64.
Unpacking linux-image-2.6-sparc64 (from .../linux-image-2.6-sparc64_2.6.14-5_sparc.deb) ...
Setting up linux-image-2.6.14-2-sparc64 (2.6.14-5) ...
Running depmod.
Finding valid ramdisk creators.
Failed to find suitable ramdisk generation tool for kernel version
2.6.14-2-sparc64 on running kernel 2.4.27-2-sparc64 in mkinitrd.yaird mkinitramfs
dpkg: error processing linux-image-2.6.14-2-sparc64 (--configure):
 subprocess post-installation script returned error exit status 9
dpkg: dependency problems prevent configuration of linux-image-2.6-sparc64:
 linux-image-2.6-sparc64 depends on linux-image-2.6.14-2-sparc64; however:
  Package linux-image-2.6.14-2-sparc64 is not configured yet.
dpkg: error processing linux-image-2.6-sparc64 (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
E: Sub-process /usr/bin/dpkg returned an error code (1)

(and i do have yaird installed...)

 VV> btw. getting an accellerated Elite3d config running isn't what it
 VV> used to be either... :( I had to modify /etc/init.d/afbinit to
 VV> get /usr/sbin/afbinit executed since dmesg doen't mention the
 VV> string "Elite 3D" anymore... this type of detection is used by
 VV> the /etc/init.d/afbinit script. But I guess that's not an issue
 VV> for you.

uh, to start with i had no idea that afbinit even existed...  ok, i
installed the package, and downloaded afb.ucode from SUN.  i found
several different versions of this file - what is the md5sum of your
afb.ucode file?

then i changed "Elite" to "Creator" in /etc/init.d/afbinit to make it
run, but when i run "/etc/init.d/afbinit start" (in text console,
running linux 2.4), the screen blanks and nothing shows up - is it
normal? (i didn't try yet with linux 2.6).

are you saying that with afbinit it is possible to get accelerated X?
BTW, i have Creator 3D card:

0000:01:02.0 VGA compatible controller: ATI Technologies Inc 3D Rage I/II 215GT [Mach64 GT] (rev 9a)

shall i still use afbinit with it?

could you please send me your /etc/X11/xorg.conf?


Reply to: